### Constructor

# Clapper Marker new

#### Declaration [src]

    ClapperMarker*
    clapper_marker_new (
      ClapperMarkerType marker_type,
      const gchar* title,
      gdouble start,
      gdouble end
    )

#### Description [src]

Creates a new `ClapperMarker` with given params.

It is considered a programmer error trying to set an ending point that is before the starting one. If end is unknown or not defined a special `CLAPPER_MARKER_NO_END` value should be used.

#### Parameters

`marker_type`

  Type: `ClapperMarkerType`

  A `ClapperMarkerType`.

`title`

  Type: `const gchar*`

  Title of the marker.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`start`

  Type: `gdouble`

  A start position of the marker.

`end`

  Type: `gdouble`

  An end position of the marker or `CLAPPER_MARKER_NO_END` if none.

#### Return value

Type: `ClapperMarker`

A new `ClapperMarker`.

The caller of the function takes ownership of the data, and is responsible for freeing it.